Bug 55245 - Installer crashes it getst to tetex-fonts-1.0.7-30.rpm, 69 packates remaing
Installer crashes it getst to tetex-fonts-1.0.7-30.rpm, 69 packates remaing
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-28 02:36 EST by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-07 16:11:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump File Created by Anaconda, When system crashed. (59.88 KB, text/plain)
2001-10-28 02:37 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-10-28 02:36:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
Have tried upgrading, clean install (3 times: 2 graphical, 1 text) and 
either the system hangs up or generates a dump.  No MD5SUM ran, due to 
purchase of box from local CompUSA store.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from cdrom
2. Select install type (custom)
3. 
	

Actual Results:  Crashed when it was near completion

Expected Results:  Full install, no problems

Additional info:

Also during install had the following error:

/mnt/source/RedHat/RPMS/zlib-1.1.3-24.i386.rpm cannot be read. 

Pressed OK twice, and then the system continued to install, until it 
reached the tetex-fonts-1.0.7-30.rpm, and had 69 packages remaining to 
install.
Comment 1 Need Real Name 2001-10-28 02:37:12 EST
Created attachment 35281 [details]
Dump File Created by Anaconda, When system crashed.
Comment 2 Brent Fox 2001-10-28 10:07:20 EST
From looking at the debug message you attached, it looks like there is either
some problem with the cdroms or with the cdrom drive itself.  

From looking at the kernel's output:
<4>hdc: irq timeout: status=0xd0 { Busy }
<4>hdc: ATAPI reset complete
<4>hdc: irq timeout: status=0xd0 { Busy }
<4>hdc: ATAPI reset complete
<4>hdc: irq timeout: status=0xc0 { Busy }
<4>hdc: ATAPI reset complete
<4>hdc: irq timeout: status=0xc0 { Busy }
<4>end_request: I/O error, dev 16:00 (hdc), sector 1233728
<4>hdc: status timeout: status=0xc0 { Busy }
<4>hdc: drive not ready for command
<4>hdc: ATAPI reset complete
<4>spurious 8259A interrupt: IRQ7.
<4>hdc: irq timeout: status=0xd0 { Busy }
<4>hdc: ATAPI reset complete
<4>hdc: irq timeout: status=0xd0 { Busy }
<4>hdc: ATAPI reset complete

The kernel is having problems reading the cd, and my guess is that the cd is
defective.  I would recommend exchanging your box set at CompUSA for another copy.  

I will forward this report to Product Management department, since they are the
ones who coordinate the production of the cds.
Comment 3 Brent Fox 2001-11-07 14:52:35 EST
Any luck here?
Comment 4 Marty Wesley 2001-11-07 16:11:37 EST
We haven't had any confirmed cases of massive numbers of corrupt of CDs.  We're
still on the lookout, but I think this is a one-off problem.
Comment 5 Brent Fox 2001-11-08 15:41:27 EST
Closing due to inactivity.  Please reopen if you have more information.
Comment 6 Need Real Name 2002-10-01 02:35:33 EDT
Bugzilla 55245: Install was to /hdb, with swap 270MG, / 1.4 Gig. Am certain you 
need to investigate this issue with drop out's in the package install, as I can 
attest, I have the same problem many others had in your bugzilla's. 
I'm very interested in this and about 15 other "installer crashes" bugzillas. I 
have the same situation here, where on istalling 7.2 from disc's bought in a 
shop, it crashes whilst installing packages. Drops to prompt and freezes. It is 
not always the same RPM file.

I suspect it is a disc error. But this is the clincher. I returned the set to 
the newsagency, and they were happy to exchange for another. The second set 
failed. Same error. Now I am scouting these bug reports for a what to do. I 
will try the "ide=nodma" work around others seem to have tried.

If this doesn't work, do I just return the disc's for a refund? This would 
really suck, as I'd much prefer an installation, and I can't download x3 lots 
of 600mb from my slow 56k connection, and I'm not rich enought to pay $99 
upwards US, for each install I upgrade to (unfortunately). What can you suggest?

I _was_ using Mandrake 8.0 fine :) . Now I'm depressed. I have no linux at all.

Unfortunately I don't have a bug report. I can't get one as the installer drops 
out to a prompt. When I try the dma thing, I'll look for some report or other.

Note You need to log in before you can comment on or make changes to this bug.